Bug 19880 - Man pages from former ld.so package missing in RH 7
Man pages from former ld.so package missing in RH 7
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Wil Harris
Depends On:
  Show dependency treegraph
Reported: 2000-10-26 15:30 EDT by Omnifarious
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-30 04:02:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Omnifarious 2000-10-26 15:30:56 EDT
The man pages for dlsym, dlopen and friends are missing from RH 7.  Perhaps
they are in a package I didn't install, but the header file for the
functions is in glibc, and the man pages for glibc stuff is in the
man-pages package.

I think the person who folded ld.so into the glibc package forgot to add in
the ld.so man pages.  The dlopen and dlsym man pages are in the ld.so
package in RH 6.2

In fact, doing a search of all of the RH 7 rpms with rpm -lqp shows that
those man pages are only in man-pages-ja and man-pages-ru, and since I
speak English....
Comment 1 Omnifarious 2000-10-26 15:45:05 EDT
Also, after reading http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=18777 I
searched the info pages for documentation of dlopen
There isn't any.  The only place it's documented is in libtool, and what's
documented is libtool's ltdl wrapper interface, not the documentation of the
glibc version.
I, personally, would rather have obsolete documentation than no documentation at
Besides, every other glibc function has man page documentation.  Why not the
functions formerly in the ld package?
Comment 2 Trond Eivind Glomsrxd 2000-10-26 17:56:33 EDT
There are no such manpages coming with glibc, which in general considers man
pages obsolete (see bug #18777). The ones coming with libc5 is hardly
accurate... as for non-existing info-documentation, that's a glibc issue:
Comment 3 Jakub Jelinek 2000-10-30 04:02:28 EST
Actually, Trond, I think the man pages for dl* family should be part of man-pages
package. Just stop rm -f ing them in the spec file after adding Conflicts.
I'm adding (and editing) ldd and ldconfig to glibc right now.
Comment 4 Trond Eivind Glomsrxd 2000-11-08 14:36:03 EST
man-pages-1.31-3 has been updated with manpages covering dlopen() and friends.

Note You need to log in before you can comment on or make changes to this bug.